# Requirements
The package versions are specified in `requirements.py`.

    tqdm==4.49.0
    numpy==1.19.3
    pandas==1.1.0
    nltk==3.5
    spacy==2.3.5
    cmudict==0.4.5
    scikit-learn==0.21.3
    tensorflow==2.3.1
    transformers==4.1.1

# Files
The list of code files and their descriptions:
- `alliteration.py`: find the number of alliterations and rhyme chains;
- `ambiguity.py`: compute the ambiguity value of the input text;
- `semantic_similarity.py`: compute the Leacock & Chodorow similarity, Wu & Palmer similarity and path similarity;
- `gpt2.py`: compute the uncertainty and surprisal values;
- `cross_validation.py`: train the models and cross validate.
